@use "../theme";
@use "../mixins";

.page-search {
    display: flex;
    flex-direction: column;

    @media only screen and (min-width: theme.$sm) {
        flex-direction: row;
    }

    .filters {
        @media only screen and (min-width: theme.$sm) {
            width: 250px;
            margin-right: 4rem;
        }
    }

    .results {
        display: flex;
        flex-direction: column;
        width: 100%;
        margin: theme.$spacing04 0;

        @media only screen and (min-width: theme.$sm) {
            margin: 11rem 0 6rem;
        }

        &__header {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: theme.$spacing05;
        }

        &__list {
            &.htmx-request {
                display: none;
            }
        }
    }

    .results-count {
        color: theme.$colorPaletteGray700;

        &.htmx-request {
            opacity: 0;
        }
    }
}
